%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate trash

Name:           rust-trash
Version:        3.3.1
Release:    1%{?dist}
Summary:        Library for moving files and folders to the Recycle Bin

License:        MIT
URL:            https://crates.io/crates/trash
Source0:         %{crates_source}
Patch:          trash-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A library for moving files and folders to the Recycle Bin.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+chrono-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+chrono-devel %{_description}

This package contains library source intended for building other packages which
use the "chrono" feature of the "%{crate}" crate.

%files       -n %{name}+chrono-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+coinit_apartmentthreaded-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+coinit_apartmentthreaded-devel %{_description}

This package contains library source intended for building other packages which
use the "coinit_apartmentthreaded" feature of the "%{crate}" crate.

%files       -n %{name}+coinit_apartmentthreaded-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+coinit_disable_ole1dde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+coinit_disable_ole1dde-devel %{_description}

This package contains library source intended for building other packages which
use the "coinit_disable_ole1dde" feature of the "%{crate}" crate.

%files       -n %{name}+coinit_disable_ole1dde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+coinit_multithreaded-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+coinit_multithreaded-devel %{_description}

This package contains library source intended for building other packages which
use the "coinit_multithreaded" feature of the "%{crate}" crate.

%files       -n %{name}+coinit_multithreaded-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+coinit_speed_over_memory-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+coinit_speed_over_memory-devel %{_description}

This package contains library source intended for building other packages which
use the "coinit_speed_over_memory" feature of the "%{crate}" crate.

%files       -n %{name}+coinit_speed_over_memory-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.3.1-1
- initial build
